Api Documentation ## Sections • [Base URL](https://app.theneo.io/copygram/api-documentation/api-reference-guide/base-url.md): The Base URL is a crucial element for making API calls, enabling you to clearly specify the root URL(s) for API requests. When making API calls, you combine the base URL with the specific endpoint path to form the complete request URL. It supports multiple environments, including staging and production. Additionally, the base URL synchronizes with the API explorer, allowing you to seamlessly switch between environments like Sandbox and Production while trying out API calls. • [Authentication](https://app.theneo.io/copygram/api-documentation/api-reference-guide/authentication.md): When it comes to interacting with APIs, authentication is a critical step to ensure secure communication between your application and the API service. API authentication is performed via HTTP Basic Auth, which involves including your API key in the HTTP request headers. This method verifies your identity and grants you access to the API's resources, ensuring that only authorized users can make requests. Copygram Sample API uses API keys to authenticate requests. To retrieve your API key from appv2.copygram.app/developers, follow these steps: First of all, you should get approval from Copygram team. Sign in : Navigate to appv2.copygram.app/developers and sign in with your credentials. User Settings : Once logged in, locate the user settings. Tools & Integrations Tab : Within the user settings, find the "Tools & Integrations" tab. Click on it to access settings related to integrations and tools. Locate API Key : In the Tools & Integrations tab, you should find your API key listed. Add headers to an HTTP request When issuing an HTTP request to Copygram, each request must contain an x-api-key header that specifies a valid API key and must be encoded as JSON with the Content-Type: application/json header. CURL curl -s -X POST "https://external-api.copygram.app" \ -H "Content-Type: application/json" \ -H "x-api-key: Api_Key" \ -d '{ "name": "", "phone_number": "" } Your API keys grant significant access, so it’s crucial to keep them safe! Avoid sharing your secret API keys in public places like GitHub, client-side code, and similar locations. API requests without authentication will fail. • [Accounts](https://app.theneo.io/copygram/api-documentation/rest-api-reference/transaction-api-example.md): Note: All of the stated endpoints and sections are for demonstration purposes only. • [List Accounts](https://app.theneo.io/copygram/api-documentation/rest-api-reference/transaction-api-example/get-accounts-copy-1.md): List all user accounts • [Delete Account](https://app.theneo.io/copygram/api-documentation/rest-api-reference/transaction-api-example/update-subscription.md): Delete user account. Please be aware that once removed, the credits cannot be replaced. You can edit account details instead. • [Metatrader](https://app.theneo.io/copygram/api-documentation/rest-api-reference/transaction-api-example/metatrader.md): To Add Metatrader Account, you should check if server name exists in Copygram DB (Contact support elsewhere). You can get the list of all servers (Metatrader4 or Metatrader5) instantly available by Copygram using GET Metatrader Servers Call. Our team will add any server per your request. • [Get List of Servers](https://app.theneo.io/copygram/api-documentation/rest-api-reference/transaction-api-example/metatrader/create-a-charge.md): Get list of available server names for Metatatrader4 or Metatrader5. Please contact support if you would like to add other server names. • [Add Metatrader Account](https://app.theneo.io/copygram/api-documentation/rest-api-reference/transaction-api-example/metatrader/add-metatrader-account.md): Connect a Metatrader Account. • [Tradelocker](https://app.theneo.io/copygram/api-documentation/rest-api-reference/transaction-api-example/add-tradelocker-account-copy-1-2.md): To Add Tradelocker Account, it should be completed using 2 step: Step1: GET all accounts related to the user, the first API Call (Get) returns a “request_id” and account numbers “accounts” Step2: POST Call including with body that includes “request_id" and “account_number” from the list returned by first API. • [Get Tradelocker Accounts](https://app.theneo.io/copygram/api-documentation/rest-api-reference/transaction-api-example/add-tradelocker-account-copy-1-2/add-tradelocker-account.md): Get Tradelocker Account numbers from Tradelocker and request_id to confirm . • [Connect Tradelocker Account](https://app.theneo.io/copygram/api-documentation/rest-api-reference/transaction-api-example/add-tradelocker-account-copy-1-2/connect-account.md): Connect an account from account list returned from Step1. • [Matchtrader](https://app.theneo.io/copygram/api-documentation/rest-api-reference/transaction-api-example/add-tradelocker-account-copy-1.md): To Add MatchTrader Account, it should be completed using 2 step: Step1: GET all accounts related to the user, the first API Call (Get) returns a “request_id” and account numbers “accounts” Step2: POST Call including with body that includes “request_id" and “account_number” from the list returned by first API. • [Get MatchTrader Accounts](https://app.theneo.io/copygram/api-documentation/rest-api-reference/transaction-api-example/add-tradelocker-account-copy-1/get-matchtrader-accounts.md): Get MatchTrader Account numbers from Tradelocker and request_id to confirm . • [Connect MatchTrader Account](https://app.theneo.io/copygram/api-documentation/rest-api-reference/transaction-api-example/add-tradelocker-account-copy-1/connect-matchtrader-account.md): Connect an account from account list returned from Step1. • [DxTrade](https://app.theneo.io/copygram/api-documentation/rest-api-reference/transaction-api-example/add-matchtrader-account-copy-1.md): Coming soon… • [Binance](https://app.theneo.io/copygram/api-documentation/rest-api-reference/transaction-api-example/confirm-matchtrader-account-copy-1.md): Coming soon …. • [Oanda](https://app.theneo.io/copygram/api-documentation/rest-api-reference/transaction-api-example/add-dxtrade-account-copy-1.md): Coming Soon … • [Rooms](https://app.theneo.io/copygram/api-documentation/rest-api-reference/hr-management-examples.md): Note: All of the stated endpoints and sections are for demonstration purposes only. Theneo does not manage payments API, get sales data, itemize payments, push orders to POS, and more. • [List rooms](https://app.theneo.io/copygram/api-documentation/rest-api-reference/hr-management-examples/list-branches.md): List all user rooms • [Create Room](https://app.theneo.io/copygram/api-documentation/rest-api-reference/hr-management-examples/get-a-branch.md): Create Room • [Edit Status](https://app.theneo.io/copygram/api-documentation/rest-api-reference/hr-management-examples/rename-a-branch.md): To update room status, new status should be either “Paused”, “Active” or “Archive”. A room with “Archive” status can't change status. • [Edit Sender](https://app.theneo.io/copygram/api-documentation/rest-api-reference/hr-management-examples/get-a-schedule.md): Play room with settings for each account. • [Add Receiver](https://app.theneo.io/copygram/api-documentation/rest-api-reference/hr-management-examples/pause-room-copy-1.md): Archive Room.